
# TxNote::__construct 

### Usage

>  TxNote::__construct(int $id, int $trans_id, string $uuid, [ ?DateTime $created_at = null ], [ string $note = '' ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | Yes | int |
trans_id | Yes | int |
uuid | Yes | string |
created_at | No | ?DateTime |
note | No | string |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [getTx()](gettx)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


